jm.constants

## Interface Waveforms

- All Known Subinterfaces:
    JMC
  All Known Implementing Classes:
    Add, ADSR, AllFGTR, AllPass, Audio, AudioObject, AudioSampleInst, BassStave, Comb, Compressor, CPhrase, Delay, Envelope, FFT, FGTR, Filter, Grain2, GrandStave, Granulator, HelperGUI, Histogram, HistogramFrame, Instrument, InverseFFT, Invert, JGrandStave, JStaveActionHandler, MidiParser, MidiSynth, MidiUtil, Mod, Multiply, Noise, Notate, NoteBuffer, NoteBufferReversed, Oscillator, Part, Phrase, PhraseMatrix, PianoStave, Play, Pluck, PrintOut, Read, ReSample, RTIn, RTPhrase, SampleIn, SampleOut, Score, SketchScoreArea, SMF, Smooth, Splitter, Spring, Stave, StaveActionHandler, StereoPan, TapDelay, TextIn, TrebleStave, Value, View, Volume, WaveFileReader, Wavelet, Waveshaper, WaveTable, Window, Write

      public interface Waveforms

  An interface storing waveform constants.
  See Also:
    `Note`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COSINE_WAVE`
    `static int` | `PULSE_WAVE`
    `static int` | `SABERSAW_WAVE`
    `static int` | `SAWDOWN_WAVE`
    `static int` | `SAWTOOTH_WAVE`
    `static int` | `SINE_WAVE`
    `static int` | `SQUARE_WAVE`
    `static int` | `TRIANGLE_WAVE`

- - ### Field Detail

    - #### SINE_WAVE

          static final int SINE_WAVE

      See Also:
        Constant Field Values

    - #### COSINE_WAVE

          static final int COSINE_WAVE

      See Also:
        Constant Field Values

    - #### TRIANGLE_WAVE

          static final int TRIANGLE_WAVE

      See Also:
        Constant Field Values

    - #### SQUARE_WAVE

          static final int SQUARE_WAVE

      See Also:
        Constant Field Values

    - #### SAWTOOTH_WAVE

          static final int SAWTOOTH_WAVE

      See Also:
        Constant Field Values

    - #### SAWDOWN_WAVE

          static final int SAWDOWN_WAVE

      See Also:
        Constant Field Values

    - #### SABERSAW_WAVE

          static final int SABERSAW_WAVE

      See Also:
        Constant Field Values

    - #### PULSE_WAVE

          static final int PULSE_WAVE

      See Also:
        Constant Field Values